/* Fonts */

@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: normal;
  font-weight: 500;
  src: url('/sources/custom/font/dm-sans-v17-latin-500.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

@font-face {
  font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
  font-family: 'DM Sans';
  font-style: normal;
  font-weight: 900;
  src: url('/sources/custom/font/dm-sans-v17-latin-900.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

@font-face {
    font-display: swap; /* Check https://developer.mozilla.org/en-US/docs/Web/CSS/@font-face/font-display for other options. */
    font-family: 'Cardo';
    font-style: normal;
    font-weight: 700;
    src: url('/sources/custom/font/cardo-v21-latin-700.woff2') format('woff2'); /* Chrome 36+, Opera 23+, Firefox 39+, Safari 12+, iOS 10+ */
}

/* Variables */

body {
    --primary:                          #13462e;

    --color-bg:                         #F7F5F1;
    --color-bg-alt:                     #F0ECE5;

    --color-text:                       #262C1C;
    --color-link:                       #287852;
    --color-heading:                    #287852;

    --color-hr:                         #ECE9E4;

    --border-radius:                    5;
    --border-color:                     var(--color-hr);
    --border-width:                     1;

    --gutter:                           30px;

    --space-xs:                         8;
    --space-s:                          30;
    --space-m:                          60;
    --space-l:                          100;

    --icon-size:                        20;
    --header-height:                    90;
}

.button {
    font-size:                          16px;
    line-height:                        30px;
    --btn-bg:                           var(--primary);
    --btn-color:                        var(--color-bg);
    --btn-radius:                       calc(var(--border-radius) * 1px);
    --border-width:                     0;
    --btn-border-color:                 var(--primary);
}

.button i {
    background-color:                   var(--color-bg);
}

.button.c-small {
    font-size:                          14px;
    line-height:                        30px;
    padding:                            5px 15px;
}

.button.c-small i {
    height:                             16px;
    width:                              16px;
}

.button.c-secondary {
    --btn-bg:                           var(--color-bg-alt);
    --btn-color:                        var(--color-text);
}

.button.c-secondary i {
    background-color:                   var(--color-text);
}

/* General */

body {
    font-family: "DM Sans", sans-serif;
    font-optical-sizing: auto;
    font-weight: 500;
    font-style: normal;
    font-variation-settings: "slnt" 0;
    font-size: 14px;
    line-height: 28px;
}

a .opacity-80 {
    color: var(--color-text);
}

i {
    width: 20px;
    height: 20px;
    background-color: var(--color-text);
    mask-size: 80% 80%;
    background-size: 80% 80%;
}

i.arrow-down {
    mask-image: url("/sources/custom/icons/arrow-down.svg");
}

i.arrow-right {
    mask-image: url("/sources/custom/icons/arrow-right.svg");
}

i.basket {
    mask-image: url("/sources/custom/icons/basket.svg");
}

i.check {
    mask-image: url("/sources/custom/icons/check.svg");
}

i.facebook {
    mask-image: url("/sources/custom/icons/facebook.svg");
}

i.instagram {
    mask-image: url("/sources/custom/icons/instagram.svg");
}

i.location {
    mask-image: url("/sources/custom/icons/location.svg");
}

i.phone {
    mask-image: url("/sources/custom/icons/phone.svg");
}

i.mail {
    mask-image: url("/sources/custom/icons/mail.svg");
}

i.hand-apple {
    mask-image: url("/sources/custom/icons/handdraw/apple.svg");
    width: 100px;
    height: 100px;
    background-color: var(--color-link);
}

i.hand-flower {
    mask-image: url("/sources/custom/icons/handdraw/flower.svg");
    width: 100px;
    height: 100px;
    background-color: var(--color-link);
}

i.hand-route {
    mask-image: url("/sources/custom/icons/handdraw/route.svg");
    width: 100px;
    height: 100px;
    background-color: var(--color-link);
}

/* Headlines */

.c-h1 {
    font-size: 50px;
    line-height: 70px;
    font-weight: bold;
    color: var(--color-heading);
    font-family: "Cardo", sans-serif;
}

.c-h2 {
    font-size: 20px;
    line-height: 30px;
    font-weight: bold;
    color: var(--color-heading);
    font-family: "Cardo", sans-serif;
}

.c-h2 i {
    background-color: var(--primary);
}

@media (max-width: 1100px) {
    .c-h1 {
        font-size: 36px;
        line-height: 56px;
    }
}

/* Tabelle */

.c-table * {
    transition: none;
}

.c-table > .box {
    padding: calc(var(--space-xs) * 1px);
}

.c-table > .box:not(.c-secondary) {
    padding-top: calc(var(--space-xs) * 2px);
    padding-bottom: calc(var(--space-xs) * 2px);
    border-top: none;
    border-right: none;
    border-left: none;
    border-radius: 0;
}

.c-table > .box:not(.c-secondary):hover {
    color: var(--color-link);
    font-weight: bold;
}

.c-table > .box:not(.c-secondary):hover i {
    background-color: var(--color-link);
}

.c-table > .box:last-child {
    padding-bottom: 0;
    border: none;
}

@media (max-width: 1100px) {
    .c-table > .box {
        padding-left: 0;
        padding-right: 0;
    }
}

/* Header */

header {
    height: calc(var(--header-height) * 1px);
    border-bottom: 1px solid var(--border-color);
    width: 100%;
    background-color: var(--color-bg);
    z-index: 10;
    position: sticky;
    top: 0;
}

header .wrapper a {
    color: var(--color-text);
    font-size: 16px;
}

header .wrapper a.active {
    color: var(--color-link);
    font-weight: bold;
}

section.c-news {
    position: relative;
    z-index: 20;
}

section.c-news .wrapper {
    height: 60px;
    font-size: 16px;
    background-color: var(--primary);
    color: var(--color-bg);
}

section.c-news .wrapper a {
    color: var(--color-bg);
}

@media (max-width: 1100px) {
    body {
        --header-height: 80;
        --header-position: 80px;
    }

    header img {
        height: 35px;
    }

    [data-burger] {
        padding-top: var(--header-position);
        height: auto;
        top: 0;
        z-index: -1;
    }

    [data-burger] nav {
        flex-direction: column;
    }

    [data-burger] nav a {
        font-size: 20px;
        line-height: 48px;
    }

    section.c-news .wrapper {
        font-size: 14px;
        height: auto;
        padding: 10px calc(10% - calc(var(--space-s) * 0.75px));
    }

}

/* Footer */

footer .opacity-80 a,
footer a.opacity-80 {
    color: var(--color-text);
}

/* Boxes */

.box {
    background-color: #FFFFFF;
}

.box.c-primary {
    background-color: var(--primary);
    border-color: var(--primary);
    color: var(--color-bg);
}

.box.c-primary .c-h2,
.box.c-primary .opacity-80 {
    color: var(--color-bg);
}

.box.c-primary i {
    background-color: var(--color-bg);
}

.box.c-secondary {
    background-color: var(--color-bg-alt);
    border-color: var(--color-bg-alt);
}

img.c-image {
    margin-left: calc(var(--space-s) * -1.25px);
    margin-top: calc(var(--space-s) * -1.25px);
    margin-right: calc(var(--space-s) * -1.25px);
    max-width: calc(100% + var(--space-s) * 2.5px);
    width: calc(100% + var(--space-s) * 2.5px);
}

.box.c-image {
    padding: 0;
}

.box.c-image img {
    object-fit: cover;
    height: 100%;
    width: 100%;
}

.box .col.c-image {
    position: relative;
    overflow: visible;
    min-height: 400px;
}

.box .col.c-image img {
    position: absolute;
    top: calc(var(--space-s) * -1.25px);
    right: calc(var(--space-s) * -1.25px);
    left: 0;
    width: calc(100% + var(--space-s) * 1.25px);
    max-width: calc(100% + var(--space-s) * 1.25px);
    height: calc(100% + var(--space-s) * 2.5px);
    object-fit: cover;
}

.box .col.c-image.c-left img {
    left: calc(var(--space-s) * -1.25px);
    right: 0;
}

.box .col.c-image.c-position-top img {
    object-position: top;
}

@media (max-width: 1100px) {
    .box .col.c-image img {
        top: 0;
        bottom: auto;
        left: calc(var(--space-s) * -1px) !important;
        right: calc(var(--space-s) * -1px) !important;
        width: calc(100% + var(--space-s) * 2px);
        max-width: calc(100% + var(--space-s) * 2px);
        margin-top: calc(var(--space-s) * 0.5px);
    }

    .box .col.c-image.c-left img {
        top: auto;
        bottom: 0;
        margin-top: 0;
        margin-bottom: calc(var(--space-s) * 0.5px);
    }
}

/* Hero */

section.wrapper.c-hero {
    height: calc(100vh - (var(--header-height) * 1px));
    padding: 0;
    background-color: rgba(40,120,82,0.2);
    max-height: 700px;
    position: relative;
}

section.wrapper.c-hero img {
    transform: translate(50%,-50%);
    position: absolute;
    top: 50%;
    right: 50%;
    object-fit: cover;
    min-width: 100%;
    min-height: 100%;
}

@media (max-width: 1100px) {
    section.wrapper.c-hero {
        height: calc(50vh - (var(--header-height) * 1px));
    }
}